## org.apache.cassandra.net.sink
Class SinkManager

    java.lang.Object
      org.apache.cassandra.net.sink.SinkManager

    public class SinkManager

extends java.lang.Object

Constructor Summary
`SinkManager()`

Method Summary
`static void` `addMessageSink(IMessageSink ms)`
`static void` `clearSinks()`
`static boolean` `isInitialized()`
`static Message` `processClientMessageSink(Message message)`
`static Message` `processServerMessageSink(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinkManager

    public SinkManager()

Method Detail

### isInitialized

    public static boolean isInitialized()

### addMessageSink

    public static void addMessageSink(IMessageSink ms)

### clearSinks

    public static void clearSinks()

### processClientMessageSink

    public static Message processClientMessageSink(Message message)

### processServerMessageSink

    public static Message processServerMessageSink(Message message)

Copyright © 2010 The Apache Software Foundation